/********************************************************

	The defines for the port definitions of the 909 clone.
	Meant to be compiled by Hi-Tech C PICL compiler
	Built for Microchip 16F627/16F628 or 12F629 PIC chips
	Use MP LAB IDE, a free download from Microchip

	Copyright 2008 GC
	No commercial use allowed without prior written consent
	Released under the GNU GPL
	All derivative works must include this copyright
	Free for use for private and educational purposes

Version 0.2
*********************************************************/

//#define _12F629  // Select -chip=12F629 and this will be defined for you in MPLAB
			 // Stand alone compile, uncomment for 12F629 guider only

#define _16F62X	// Uncomment this for the 16F627/8 with or without MP LAB IDE

#undef  DEBUG	// Define for oscope debugging

#if defined(_16F62X)
#define RESPONSE_BUF_SIZE	16		// For full featured clone, holds focuser and reticule commands from AS
#define RESPONSE_BUF_MASK	0xf
#elif defined(_12F629)
#define RESPONSE_BUF_SIZE	1		// For guider only clone, this is a bit bucket
#define RESPONSE_BUF_MASK	0x1
#endif

#if defined(_16F62X)
#define CCD_UP RA0		// Pins to use
#define CCD_DOWN RA1
#define CCD_LEFT RA2
#define CCD_RIGHT RA3
#define TRIS_CCD_UP TRISA0
#define TRIS_CCD_DOWN TRISA1
#define TRIS_CCD_LEFT TRISA2
#define TRIS_CCD_RIGHT TRISA3

//#define	SCL		RB0		// Aux clock on port A bit 6
//#define	SCL_DIR	TRISB5	// Controls dirrection of port A bit 6
						// Aux clock also comes in on RB0/INT pin
#define	SCL				// Aux clock on port A bit 6
#define	SCL_DIR			// Controls dirrection of port A bit 6
						// Aux clock also comes in on RB0/INT pin


#define	SDA		RB3         // Aux data on port B bit 3
#define	SDA_DIR	TRISB3	// Controls direction of RB3
#endif

#if defined(_12F629)
#ifndef DEBUG		// if not debugging, use these pins for input
#define CCD_UP GPIO0 	
#define CCD_DOWN GPIO3 
#define CCD_LEFT GPIO4 
#define CCD_RIGHT GPIO5
#define TRIS_CCD_UP TRIS0
#define TRIS_CCD_DOWN TRIS3
#define TRIS_CCD_LEFT TRIS4
#define TRIS_CCD_RIGHT TRIS5
#else				// DEBUG defined, no input pins really
#define CCD_UP GPIO2 	// Set all to be the AuxData pin
#define CCD_DOWN GPIO2
#define CCD_LEFT GPIO2
#define CCD_RIGHT GPIO2
#define TRIS_CCD_UP TRIS2
#define TRIS_CCD_DOWN TRIS2
#define TRIS_CCD_LEFT TRIS2
#define TRIS_CCD_RIGHT TRIS2
#endif

#define	SCL		GPIO2		// Aux clock on  bit 2
#define	SCL_DIR	TRIS2		// Controls dirrection of GPIO bit 2
						// Aux clock also comes in on GP2/INT pin

#define	SDA		GPIO1       // Aux data on bit GP1 pin
#define	SDA_DIR	TRIS1		// Controls direction of GPIO3

#endif

#define I2C_INPUT		1		// set pin data direction input
#define I2C_OUTPUT	0		// set pin data direction output

#define SDA_LISTEN()	{SDA_DIR = I2C_INPUT;}
#define SDA_TALK()	{SDA_DIR = I2C_OUTPUT;}
//#define SCL_LISTEN()	{SCL_DIR = I2C_INPUT;}
//#define SCL_TALK()	{SCL_DIR = I2C_OUTPUT;}
#define SCL_LISTEN()	
#define SCL_TALK()	


