/*

Derived from Hi-Tech C PICL usart sample usart.h
For use with the 909 16F627/16F628 focuser and reticule parser debug
*/

#ifndef _SERIAL_H_
#define _SERIAL_H_

#define BAUD 9600      
#define FOSC 20000000L		// Clock frequency here
#define NINE 0     		// Use 9bit communication? FALSE=8bit

#define DIVIDER ((int)(FOSC/(16UL * BAUD) -1))	// Calculate value to stick in BRG
#define HIGH_SPEED 1		// Use High Speed, less bit rate error on BRG

#if NINE == 1
#define NINE_BITS 0x40
#else
#define NINE_BITS 0
#endif

#if HIGH_SPEED == 1
#define SPEED 0x4
#else
#define SPEED 0
#endif

// Use pin B1 = usart rx pin, below for 16F627/16F628 PIC's
// use pin B2 = usart tx pin
	#define RX_PIN TRISB1
	#define TX_PIN TRISB2

// Serial initialization
// Set pins to output
// Set baud rate generator
// Set RX status register and TX status register
#define init_comms()\
	RX_PIN = 1;	\
	TX_PIN = 1;		  \
	SPBRG = DIVIDER;     	\
	RCSTA = (NINE_BITS|0x90);	\
	TXSTA = (SPEED|NINE_BITS|0x20)

void putch(unsigned char);
unsigned int getch1(void);
#endif
